{
  "name": "edm-frontend",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "test:unit": "vitest --environment jsdom --root src/",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier .  --write",
    "docs": "npm run docs:typedoc",
    "docs:typedoc": "typedoc && scp -r fe-typedoc projects-doc:~/projects/project-docs/edm/ && rm -r fe-typedoc"
  },
  "dependencies": {
    "@quasar/extras": "^1.16.8",
    "@tsconfig/node18": "^18.2.2",
    "axios": "^1.6.2",
    "keycloak-js": "^26.1.4",
    "mime": "^4.0.0",
    "nanoid": "^5.0.4",
    "pinia": "^2.1.7",
    "quasar": "^2.14.0",
    "socket.io-client": "^4.7.2",
    "vite-plugin-pwa": "^0.17.2",
    "vue": "^3.3.9",
    "vue-router": "^4.2.5"
  },
  "devDependencies": {
    "@playwright/test": "^1.40.1",
    "@quasar/vite-plugin": "^1.6.0",
    "@rushstack/eslint-patch": "^1.6.0",
    "@types/jsdom": "^21.1.6",
    "@types/mime-types": "^2.1.4",
    "@types/node": "^20.10.0",
    "@vitejs/plugin-vue": "^4.5.0",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/test-utils": "^2.4.2",
    "@vue/tsconfig": "^0.4.0",
    "eslint": "^8.54.0",
    "eslint-plugin-vue": "^9.18.1",
    "jsdom": "^23.0.0",
    "npm-run-all": "^4.1.5",
    "prettier": "^3.1.0",
    "sass": "^1.69.5",
    "typedoc": "^0.25.4",
    "typedoc-plugin-vue": "^1.1.0",
    "typescript": "~5.3.2",
    "vite": "^5.0.2",
    "vitest": "^0.34.6",
    "vue-tsc": "^1.8.22"
  }
}
